Page 2 of 2

Re: Plugin for Yourls.

Posted: 12 Apr 2013, 10:12
by acaranta
Exactly what I did at first ;)

Re: Plugin for Yourls.

Posted: 19 Apr 2013, 16:11
by cy8aer
Repair pull request for 1.7.9 on the way

Re: Plugin for Yourls.

Posted: 22 Apr 2013, 10:47
by acaranta
Thx, Merged ;)

Re: Plugin for Yourls.

Posted: 22 Apr 2013, 22:01
by acaranta
OK I actually reverted your changes on master branch, because with 1.7.9 changes the plugin does not work on latest stable 1.7.8.

I therefore created a 1.7.9 branch on which your changes are merged (if I made everything right, I am not yet comfortable with git :p)

Re: Plugin for Yourls.

Posted: 16 May 2013, 11:28
by drmartin
1.7.9 is now the current stable so maybe the applicable version should be pushed to the main branch? :D

Re: Plugin for Yourls.

Posted: 27 May 2013, 18:33
by acaranta
True, I'll do that ASAP ;)

Re: Plugin for Yourls.

Posted: 27 May 2013, 19:15
by acaranta
done thx

Re: Plugin for Yourls.

Posted: 28 May 2013, 09:47
by markwaters
Thanks for implementing and fixing this.

Re: Plugin for Yourls.

Posted: 28 May 2013, 16:13
by jdelamater99
I was getting a ton of these messages in my tt-rss->preferences->error log

Code: Select all

E_WARNING (2)   plugins/yourls/init.php:15   curl_setopt(): CURLOPT_FOLLOWLOCATION cannot be activated when safe_mode is enabled or an open_basedir is set


So, in init.php, I commented out line 13

Code: Select all

curl_setopt($this->curl_yourls, CURLOPT_FOLLOWLOCATION, true);


and added this in it's place.

Code: Select all

if (!ini_get('safe_mode') && !ini_get('open_basedir')){
   curl_setopt($this->curl_yourls, CURLOPT_FOLLOWLOCATION, true);
}


The plugin still works exactly the same, but I no longer get the error message in the error log.

This is in the 1.7.8 compatible version, so I'm not sure if you've already addressed that in 1.7.9+ versions or not. Might help someone else out.

Re: Plugin for Yourls.

Posted: 31 May 2013, 18:51
by acaranta
Mmmmh this seems to be a "problem" with your hosting platform. Safemod, etc, etc.

however, this is only a warning, so it shouldn't be a problem ;)

However i'll check your code and add it to the git repository if it's ok ;)


Thanks!

Re: Plugin for Yourls.

Posted: 20 Jun 2013, 00:21
by acaranta
Added, comitted and merged to dev branch ;) Thanks jdelamater99

Re: Plugin for Yourls.

Posted: 28 Sep 2015, 22:30
by sven
I've tested it and it looks like it doesn't work anymore. Anyone has an idea?

Re: Plugin for Yourls.

Posted: 21 Nov 2015, 16:43
by aware
Hi,

I try to use yourls plugin, but i have an error :
- when i click icon yourls in article
Image

- in tt-rss/system/log :
Image

Anyone has an idea?

(tt-rss version : 1.15.3, yourls version : 1.7)

Re: Plugin for Yourls.

Posted: 08 Mar 2016, 11:13
by Andyt8
Is it possible to get an version without CURL? I don't know really much about CURL, but I know that my Webspace have open_basedir restrictions. Yes, that is not my own webserver - there are several points why it is in that way. However, if I want to use that plugin, I get really much Warnings and that fill up the error log.

I tried to add "//" for example to line 11 for testing => "// curl_setopt($this->curl_yourls, CURLOPT_FOLLOWLOCATION, true);" - plugin still work, but I don't know what that mean? The Warning will be reduced, but there are still some more with other lines - so is it safe to disable all?

I know, a good way would be to use "if (!ini_get('safe_mode') && !ini_get('open_basedir')) {"

Re: Plugin for Yourls.

Posted: 05 Mar 2017, 15:08
by JF13
Hi everyone. I'm not sure if this post is still active. A few questions.

Does this plugin automatically add a YOURLs shortened URL for every article in an RSS feed?

If not, how does this plugin work?

Jeffrey